<template>
  <q-page padding>
    <!-- content -->
    <div>
      <RoomList :dept="dept" />
    </div>
  </q-page>
</template>

<script>
import RoomList from '../components/RoomList.vue'
import HospitalService from '../services/HospitalService'
export default {
  name: 'Rooms',
  components: {
    RoomList
  },
  props: {
    deptId: String
  },
  data: () => ({
    dept: []
  }),
  created () {
    this.hospitalService = new HospitalService()
    this.loadDept(this.deptId)
  },
  watch: {
    deptId (newVal) {
      this.loadDept(newVal)
    }
  },
  methods: {
    async loadDept (id) {
      this.dept = await this.hospitalService.getDepartment(id)
    }
  }
}
</script>
<style lang="scss" scoped>
q-page {
  font-family: "Roboto", serif;
}
</style>
